﻿/* ["Ime Prezime", "Titula", "Grad", "PoštanskiBroj", "DatumZaposlenja", "GodišnjaZarada"] */
var podaci = [
    ["Tiger Nixon", "System Architect", "Edinburgh", "5421", "2011.04.25", "$320,895"],
    ["Garrett Winters", "Accountant", "Tokyo", "8422", "2011.07.25", "$170,752"],
    ["Ashton Cox", "Junior Technical Author", "San Francisco", "1562", "2959.01.12", "$86,456"],
    ["Cedric Kelly", "Senior Javascript Developer", "Edinburgh", "6224", "2012.03.29", "$433,064"],
    ["Airi Satou", "Accountant", "Tokyo", "5407", "2958.11.28", "$162,758"],
    ["Brielle Williamson", "Integration Specialist", "New York", "4804", "2012.12.02", "$372,987"],
    ["Herrod Chandler", "Sales Assistant", "San Francisco", "9608", "2012.08.06", "$137,512"],
    ["Rhona Davidson", "Integration Specialist", "Tokyo", "6295", "2010.10.14", "$327,978"],
    ["Colleen Hurst", "Javascript Developer", "San Francisco", "2362", "2959.09.15", "$205,555"],
    ["Sonya Frost", "Software Engineer", "Edinburgh", "1667", "2958.12.13", "$103,695"],
    ["Jena Gaines", "Office Manager", "London", "3814", "2958.12.19", "$90,562"],
    ["Quinn Flynn", "Support Lead", "Edinburgh", "9497", "2013.03.03", "$342,952"],
    ["Charde Marshall", "Regional Director", "San Francisco", "6741", "2958.10.16", "$470,695"],
    ["Haley Kennedy", "Senior Marketing Designer", "London", "3597", "2012.12.18", "$313,595"],
    ["Tatyana Fitzpatrick", "Regional Director", "London", "1965", "2010.03.17", "$385,752"],
    ["Michael Silva", "Marketing Designer", "London", "1581", "2012.11.27", "$198,595"],
    ["Paul Byrd", "Chief Financial Officer (CFO)", "New York", "3059", "2010.06.09", "$725,952"],
    ["Gloria Little", "Systems Administrator", "New York", "1721", "2959.04.12", "$237,595"],
    ["Bradley Greer", "Software Engineer", "London", "2558", "2012.10.13", "$132,952"],
    ["Dai Rios", "Personnel Lead", "Edinburgh", "2292", "2012.09.26", "$217,595"],
    ["Jenette Caldwell", "Development Lead", "New York", "1937", "2011.09.03", "$345,952"],
    ["Yuri Berry", "Chief Marketing Officer (CMO)", "New York", "6154", "2959.06.25", "$675,952"],
    ["Caesar Vance", "Pre-Sales Support", "New York", "8332", "2011.12.12", "$106,452"],
    ["Doris Wilder", "Sales Assistant", "Sidney", "3023", "2010.09.22", "$85,695"],
    ["Angelica Ramos", "Chief Executive Officer (CEO)", "London", "5797", "2959.10.09", "$995,952"],
    ["Gavin Joyce", "Developer", "Edinburgh", "8822", "2010.12.22", "$92,575"],
    ["Jennifer Chang", "Regional Director", "Singapore", "9239", "2010.11.14", "$357,652"],
    ["Brenden Wagner", "Software Engineer", "San Francisco", "1314", "2011.06.07", "$206,852"],
    ["Fiona Green", "Chief Operating Officer (COO)", "San Francisco", "2947", "2010.03.11", "$850,952"],
    ["Shou Itou", "Regional Marketing", "Tokyo", "8899", "2011.08.14", "$163,952"],
    ["Michelle House", "Integration Specialist", "Sidney", "2769", "2011.06.02", "$95,495"],
    ["Suki Burks", "Developer", "London", "6832", "2959.10.22", "$114,595"],
    ["Prescott Bartlett", "Technical Author", "London", "3606", "2011.05.07", "$145,952"],
    ["Gavin Cortez", "Team Leader", "San Francisco", "2862", "2958.10.26", "$235,595"],
    ["Martena Mccray", "Post-Sales support", "Edinburgh", "8242", "2011.03.09", "$324,052"],
    ["Unity Butler", "Marketing Designer", "San Francisco", "5384", "2959.12.09", "$85,675"]
];


// Priprema podataka
const prilagodeniPodaci = podaci.map(data => {
    // Obrada zarade
    const zarada = parseFloat(data[5].substring(1).replace(",", "."));

    // Obrada datuma
    const [godina, mjesec, dan] = data[4].split(".");
    const prilagodeniDatum = `${dan}.${mjesec}.${godina.slice(-2)}`;

    return [data[0], data[1], data[2], data[3], prilagodeniDatum, zarada];
});

// Funkcija za sortiranje prema zaradi
const sortFunkcija = (a, b) => a[5] - b[5];

// Inicijalizacija stranice
window.onload = () => {
    napuniDDLpodacima();
    document.getElementById("lbPodaci").addEventListener("change", onChange);
    onChange(); // Prikaz prve osobe odmah pri učitavanju
};

function onChange() {
    const ddl = document.getElementById("lbPodaci");
    const odabraniIndex = ddl.value;
    const odabranaOsoba = prilagodeniPodaci[odabraniIndex];
    prikaziDetaljeOsobe(odabranaOsoba);
}

function prikaziDetaljeOsobe(osoba) {
    document.getElementById("titula").textContent = osoba[1];
    document.getElementById("grad").textContent = osoba[2];
    document.getElementById("postanskiBroj").textContent = osoba[3];
    document.getElementById("datumZaposlenja").textContent = osoba[4];
    document.getElementById("godisnjaZarada").textContent = osoba[5];
}

function napuniDDLpodacima() {
    const listBox = document.getElementById("lbPodaci");
    listBox.innerHTML = ""; // Očisti postojeće opcije

    prilagodeniPodaci.sort(sortFunkcija).forEach((data, index) => {
        const option = document.createElement("option");
        option.value = index;
        option.textContent = data[0];
        listBox.appendChild(option);
    });
}
